Get an upload URL
Returns a secure, temporary URL and an upload key for transferring a file to Mindtickle Content Center.
Prerequisites
- Authentication and setup: A valid access token.
Endpoint
Section titled “Endpoint”GET /services/data/v1.0/content/upload-urlBase URL: the standard REST host for your region. See Base URLs.
Headers: Authorization: Bearer ACCESS_TOKEN.
Query parameters
Section titled “Query parameters”| Parameter | Type | Required | Description |
|---|---|---|---|
file_name |
string | Required | Name of the file to be uploaded. Must include the file extension and be under 250 characters. |
Request
Section titled “Request”This endpoint has no request body.
Request example
Section titled “Request example”GET /services/data/v1.0/content/upload-url?file_name=example.pdfResponse
Section titled “Response”| Field | Type | Description |
|---|---|---|
upload_url |
string | Temporary URL to upload the file to. |
upload_key |
string | Key of the uploaded file. |
Response example
Section titled “Response example”{ "upload_url": "https://storage.example.com/uploads/example.pdf?signature=EXAMPLE_SIGNATURE", "upload_key": "1234/56789_example.pdf"}- Usage: Save the
upload_keyfor later use in the sync operation, then use theupload_urlwith an HTTP PUT request to upload your file.